/*
Inbox

Testing MediaAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package inboxapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/inboxapi"
)

func Test_inboxapi_MediaAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test MediaAPIService GetMediaFile", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var gatewayId string
		var mediaId string

		resp, httpRes, err := apiClient.MediaAPI.GetMediaFile(context.Background(), channelId, gatewayId, mediaId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaAPIService UploadMediaFile", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var gatewayId string

		resp, httpRes, err := apiClient.MediaAPI.UploadMediaFile(context.Background(), channelId, gatewayId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
